API referenceAccount
List billing history
View as MarkdownOpen in ClaudeOpen in ChatGPTConnect the roasOS MCP server: https://mcp.roasos.com/mcp
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...
In: header
Query Parameters
cursor?string
Opaque composite pagination cursor from the previous response. Do not parse or construct it.
limit?integer
Number of items to return
Range
1 <= value <= 100Default
20Response Body
application/json
curl -X GET "https://example.com/v1/account/ledger"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "paid_request_id": "8957f57a-4f90-4886-8640-b49e8e310188", "generation_id": "a3c889df-e7ae-4ae9-9838-8884129ade5e", "event_kind": "reservation", "credits": 1, "direction": "debit", "operation": "string", "model": "string", "pricing_version": "string", "api_key_id": "b0dd218e-3bcf-4bdb-a1e3-0689d60a8afd", "surface": "public_api", "project": "string", "cost_center": "string", "quote_request_id": "0e1e732f-b710-4548-aa3b-23018de5bc5e", "confirmation_request_id": "6adc37c1-a5af-4f89-971e-8528c297f66c", "created_at": "2019-08-24T14:15:22Z" } ], "meta": { "cursor": "string", "has_more": true }}